image: alpine:latest

include:
  - template: Security/Dependency-Scanning.gitlab-ci.yml

container-scanning:
  script:
    - echo NOOP
  artifacts:
    reports:
      container_scanning: samples/container-scanning.json

cluster-image-scanning:
  script:
    - echo NOOP
  artifacts:
    reports:
      cluster_image_scanning: samples/cluster-image-scanning.json

dast:
  script:
    - echo NOOP
  artifacts:
    reports:
      dast: samples/dast.json

dast-with-details:
  script:
    - echo NOOP
  artifacts:
    reports:
      dast: samples/dast-with-details.json

license-scanning-c:
  script:
    - echo NOOP
  artifacts:
    reports:
      license_scanning: samples/license-scanning-c.json

license-scanning-go:
  script:
    - echo NOOP
  artifacts:
    reports:
      license_scanning: samples/license-scanning-go.json

secrets:
  script:
    - echo NOOP
  artifacts:
    reports:
      secret_detection: samples/secret-detection.json

# TODO: bandit, flawfinder, phpcs-security-audit, security-code-scan, nodejs-scan, gosec

sast-eslint:
  script:
    - echo NOOP
  artifacts:
    reports:
      sast: samples/sast-eslint.json

sast-pmd-apex:
  script:
    - echo NOOP
  artifacts:
    reports:
      sast: samples/saat-pmd-apex.json

sast-sobelow:
  script:
    - echo NOOP
  artifacts:
    reports:
      sast: samples/saat-sobelow.json

sast-spotbugs:
  script:
    - echo NOOP
  artifacts:
    reports:
      sast: samples/sast-spotbugs.json

coverage_fuzzing:
  script:
    - echo NOOP
  artifacts:
    reports:
      coverage_fuzzing: samples/coverage-fuzzing.json

api_fuzzing:
  script:
    - echo NOOP
  artifacts:
    reports:
      api_fuzzing: samples/api-fuzzing.json

